\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{tobibobi}[2004/04/01 v1.1 typeset chapter like section]
\usepackage{epsfig}
\usepackage{a4wide}
\usepackage{color}
\usepackage{here}
\usepackage{psboxit}
\usepackage{colortbl}
\usepackage{wrapfig}
\usepackage{amsmath}
\usepackage{fancyheadings}
\usepackage{fancybox}
\usepackage[danish]{babel}
\usepackage[latin1]{inputenc}
\usepackage[danish]{varioref}
\usepackage{listings}
\usepackage[pdftex,colorlinks=true,
                      pdfstartview=FitV,
                      linkcolor=blue,
                      citecolor=black,
                      urlcolor=darkblue,
                      pdfpagetransition=Split,
                      pdfpagelayout=SinglePage,
          ]{hyperref}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Color setup
\definecolor{darkblue}%
   {rgb}{0,0,0.5}
\definecolor{colRed}%
   {rgb}{1,0,0}
\definecolor{colSection}%
   {rgb}{1,0.8,0.8}
\definecolor{colSvaggul}%
   {rgb}{1,1,0.8}
\definecolor{colKeyword}%
   {rgb}{0,0,1}
\definecolor{colComment}%
   {rgb}{0,0.4,0}
\definecolor{colIdentifier}%
   {rgb}{0.2, 0.1, 0}
\definecolor{colChapterPage}%
   {rgb}{0.4,0.6,0.5}
\definecolor{colChapterTextBackground}%
  {rgb}{0.6,0.8,0.7}
%% end color setup
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% begin figure control
\newcommand{\@infig}[1]{%
  \input{#1.pdftex_t}%
}
\newcommand{\inWFig}[4]{%
  \begin{wrapfigure}{#1}{#2}%
    \begin{center}%
      \@infig{#3}%
    \end{center}%
    \caption{#4}\label{fig:#3}%
  \end{wrapfigure}%
}
\newcommand{\inFWFig}[4]{%
  \begin{wrapfigure}{#1}{#2}%
    \begin{center}%
      \resizebox{0.99\linewidth}{!}{\@infig{#3}}%
    \end{center}%
    \caption{#4}\label{fig:#3}%
  \end{wrapfigure}%
}

\newcommand{\inRFig}[2]{%
  \inWFig{r}{0.5\linewidth}{#1}{#2}%
}

\newcommand{\inFRFig}[2]{%
  \inFWFig{r}{0.5\linewidth}{#1}{#2}%
}

\newcommand{\inFRDFig}[3]{%
  \inFWFig{r}{#1\linewidth}{#2}{#3}%
}

\newcommand{\inFig}[2]{%
  \begin{figure}[htbp]%
    \begin{center}
      \resizebox{\linewidth}{!}{\@infig{#1}}%
      \caption{#2}\label{fig:1}%
    \end{center}
  \end{figure}%
}

\newcommand{\inNormFig}[2]{%
  \begin{figure}[htbp]%
    \begin{center}
      \@infig{#1}%
      \caption{#2}\label{fig:1}%
    \end{center}
  \end{figure}%
}

\newcommand{\inDFig}[3]{%
  \begin{figure}[htbp]%
    \begin{center}
      \resizebox{#1\linewidth}{!}{\@infig{#2}}%
      \caption{#3}\label{fig:#2}%
    \end{center}
  \end{figure}%
}
%% end figure controll
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


\newcommand{\frontpage}{
  \begingroup
  \setlength{\parindent}{0mm}
  \setlength{\parskip}{0mm}
  \begin{minipage}{1.03\linewidth}
    \resizebox{\linewidth}{!}{\input{forside.pdftex_t}}
  \end{minipage}
  \endgroup
  \newpage
}

\newcommand{\MyHookSign}{\hbox{\ensuremath\hookleftarrow}}

\lstset{% general command to set parameter(s)
	language=Java,
	basicstyle=\ttfamily\small,
        identifierstyle=\color{colIdentifier},
        keywordstyle=\color{colKeyword},
        commentstyle=\color{colComment},
        backgroundcolor=\color{colSvaggul},
	stringstyle=\color{red},
	tabsize=4,
	tab=$\to$,
	float=tbph,
	extendedchars,
	breaklines,
	prebreak={\space\MyHookSign},
	frame=single,
	showtabs=false,
	showspaces=false,
	showstringspaces=false,
	numberstyle=\tiny,
	numbers=left,
	captionpos=b,
	aboveskip=\bigskipamount
}
